# Class ColumnDefinition

java.lang.Object
org.mariadb.jdbc.internal.com.read.resultset.ColumnDefinition

Direct Known Subclasses:
  `UpdatableColumnDefinition`

public class ColumnDefinition extends Object
Protocol details : https://mariadb.com/kb/en/resultset/#column-definition-packet

## Constructor Summary

Constructors
Constructor
Description
`ColumnDefinition(Buffer buffer)`
Read column information from buffer.
`ColumnDefinition(ColumnDefinition other)`
Constructor for extent.

## Method Summary

Modifier and Type
Method
Description
`static ColumnDefinition`
`create(String name, ColumnType type)`
Constructor.
`short`
`getCharsetNumber()`
`ColumnType`
`getColumnType()`
`String`
`getDatabase()`
`byte`
`getDecimals()`
`int`
`getDisplaySize()`
Get column size.
`short`
`getFlags()`
`long`
`getLength()`
`String`
`getName()`
`String`
`getOriginalName()`
`String`
`getOriginalTable()`
`long`
`getPrecision()`
Return metadata precision.
`String`
`getTable()`
`boolean`
`isBinary()`
`boolean`
`isBlob()`
`boolean`
`isMultipleKey()`
`boolean`
`isNotNull()`
`boolean`
`isPrimaryKey()`
`boolean`
`isSigned()`
`boolean`
`isUniqueKey()`
`boolean`
`isZeroFill()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ColumnDefinition

public ColumnDefinition(ColumnDefinition other)
Constructor for extent.

Parameters:
  `other` - other columnInformation

### ColumnDefinition

public ColumnDefinition(Buffer buffer)
Read column information from buffer.

Parameters:
  `buffer` - buffer

## Method Details

### create

public static ColumnDefinition create(String name, ColumnType type)
Constructor.

Parameters:
  `name` - column name
  `type` - column type
Returns:
  ColumnInformation

### getDatabase

public String getDatabase()

### getTable

public String getTable()

### getOriginalTable

public String getOriginalTable()

### getName

public String getName()

### getOriginalName

public String getOriginalName()

### getCharsetNumber

public short getCharsetNumber()

### getLength

public long getLength()

### getPrecision

public long getPrecision()
Return metadata precision.

Returns:
  precision

### getDisplaySize

public int getDisplaySize()
Get column size.

Returns:
  size

### getDecimals

public byte getDecimals()

### getColumnType

public ColumnType getColumnType()

### getFlags

public short getFlags()

### isSigned

public boolean isSigned()

### isNotNull

public boolean isNotNull()

### isPrimaryKey

public boolean isPrimaryKey()

### isUniqueKey

public boolean isUniqueKey()

### isMultipleKey

public boolean isMultipleKey()

### isBlob

public boolean isBlob()

### isZeroFill

public boolean isZeroFill()

### isBinary

public boolean isBinary()